%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-manila
Version:        10.3.1
Release:        2%{?dist}
Summary:        Puppet module for OpenStack Manila
License:        ASL 2.0

URL:            https://launchpad.net/puppet-manila

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

Patch0001: 0001-Add-host-parameter-for-manila.conf.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-glance
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-openstacklib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Manila

%prep
%setup -q -n openstack-manila-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/manila/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/manila/



%files
%{_datadir}/openstack-puppet/modules/manila/


%changelog
* Thu Sep 21 2017 Steve Linabery <slinaber@redhat.com> 10.3.1-2
- Add "host" parameter for manila.conf

* Wed Jun 28 2017 Mike Burns <mburns@redhat.com> 10.3.1-1
- Update to 10.3.1

* Fri Feb 10 2017 Alfredo Moralejo <amoralej@redhat.com> 10.3.0-1
- Update to 10.3.0


